Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.txbridge.ba.participant
Class CoordinatorCompletionParticipant

    java.lang.Object
      org.jboss.txbridge.ba.participant.Participant
          org.jboss.txbridge.ba.participant.ParticipantCompletionParticipant
              org.jboss.txbridge.ba.participant.CoordinatorCompletionParticipant

All Implemented Interfaces:
  com.arjuna.wst.BusinessAgreementWithCoordinatorCompletionParticipant, com.arjuna.wst.BusinessAgreementWithParticipantCompletionParticipant

    public class CoordinatorCompletionParticipant

extends ParticipantCompletionParticipant
implements com.arjuna.wst.BusinessAgreementWithCoordinatorCompletionParticipant

Implementation of the Participant that is enlisted for the Business Agreement with Coordinator Completion protocol.

Version:
  0.1
Author:
  Maciej P. Machulak (mmachulak@redhat.com)

Field Summary
`private static org.apache.log4j.Logger` | `log`

Fields inherited from class org.jboss.txbridge.ba.participant.Participant
`completed, serviceId, sim, stm, taskList, txId`

Constructor Summary
`CoordinatorCompletionParticipant(java.lang.String txId, java.lang.String serviceId, SingleTransactionManager stm, ManagedDataFactory cdf)` Constructor.

Method Summary
`void` | `complete()`
`void` | `completeWork()` Completeing the work, which is handled by the participant.

Methods inherited from class org.jboss.txbridge.ba.participant.ParticipantCompletionParticipant
`cancel, close, compensate, error, status, unknown`

Methods inherited from class org.jboss.txbridge.ba.participant.Participant
`associateTask, closeTransaction, compensateTask, compensateTransaction, get, getArguments, getReturn, put, putArguments, putReturn, removeTask`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.arjuna.wst.BusinessAgreementWithParticipantCompletionParticipant
`cancel, close, compensate, error, status, unknown`

Field Detail

### log

    private static org.apache.log4j.Logger log

Constructor Detail

### CoordinatorCompletionParticipant

    public CoordinatorCompletionParticipant(java.lang.String txId,
                                            java.lang.String serviceId,
                                            SingleTransactionManager stm,
                                            ManagedDataFactory cdf)

  Constructor.

  Parameters:
    `txId` - is the transaction identifier.
    `serviceId` - is the service identifier.
    `stm` - is the single transaction manager.
    `cdf` - is the datamgmt data factory that should be used by the participant

Method Detail

### complete

    public void complete()
                  throws com.arjuna.wst.WrongStateException,
                         com.arjuna.wst.SystemException

  Specified by:
    `complete` in interface `com.arjuna.wst.BusinessAgreementWithCoordinatorCompletionParticipant`
  Throws:
    `com.arjuna.wst.WrongStateException`
    `com.arjuna.wst.SystemException`

### completeWork

    public void completeWork()
                      throws ActionExecutionException

  Completeing the work, which is handled by the participant.

  Throws:
    `ActionExecutionException` - if execution of any action was not successful.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD